/**
 * Better Firework Class - more detailed rocket & explosion
 * original written by Scott McElfresh, February 2003
 * modified by da' Moose, Feb 2003
 * modified by mjs, June 2003
 */
 
import java.awt.*;
import java.util.Random;

public class BetterFirework extends Firework
{
	private Color c;
	private int pauseAmount;
	private int spaceAmount;
   
	public BetterFirework()
	{  
		c = Color.yellow;
		pauseAmount = 30;
		spaceAmount = 5;
	}
   
	public void launch(Point p, Frame f)
	{
		int launchX = p.x;
		int launchY = f.getHeight();
		int spaceY = 7;
		Graphics g = f.getGraphics();
		CustomDelay d = new CustomDelay();
   	 
		for (int y = launchY; y > p.y ; y -= spaceAmount)
		{
			g.setColor(c);
			Polygon rocket = new Polygon();
			rocket.addPoint(launchX, y);
			rocket.addPoint(launchX - 6, y + 24);
			rocket.addPoint(launchX, y + 8);
			rocket.addPoint(launchX + 6, y + 24);
			g.fillPolygon(rocket);
			d.doDelay(pauseAmount);
			if (y % 100 == 0)
				spaceAmount -=1;
			g.setColor(Color.black);
			g.fillRect(0,0,f.getWidth(),f.getHeight());
		}
	}
	
	
	public void explode(Point p, Frame f)
	{
		Graphics g = f.getGraphics();
		Random r = new Random();
		CustomDelay d = new CustomDelay();
		int x = (int)p.getX();
		int y = (int)p.getY();
		int maxRadius = r.nextInt(150)+ 30;
		
		int colorChoice = r.nextInt(5);
		switch(colorChoice)
		{
			case 0: g.setColor(Color.red); break;
       		case 1: g.setColor(Color.blue); break;
       		case 2: g.setColor(Color.green); break;
       		case 3: g.setColor(Color.yellow); break;
       		case 4: g.setColor(Color.white); break;
		}
		
		for (int radius = 1; radius < maxRadius; radius++)
		{
			g.drawArc(x - radius, y - radius, radius * 2, radius * 2, 338, 45);
			g.drawArc(x - radius, y - radius, radius * 2, radius * 2,  68, 45);
			g.drawArc(x - radius, y - radius, radius * 2, radius * 2, 158, 45);
       		g.drawArc(x - radius, y - radius, radius * 2, radius * 2, 248, 45);
       		d.doDelay(20);
		}
		
		d.doDelay(75);
		g.setColor(Color.black);
		for (int radius = 1; radius < maxRadius; radius++)
		{
			g.drawOval(x - radius, y - radius, radius * 2, radius * 2);
       		d.doDelay(20);
		}
       
		d.doDelay(300);
		for (int radius = 1; radius < maxRadius + 2; radius++)
		{
			g.fillOval(x - radius, y - radius, radius * 2, radius * 2);
       		d.doDelay(40);
		}
	}
}