/**
 * Abstract class to represent a firework that can be fired.  
 * The launch and explosion need to be specified
 * written by Scott McElfresh, February 2003
 * modified by da' Moose, February 2003
 * modified by mjs, June 2003
 */

import java.awt.*;

public abstract class Firework
{
	public void fire(Point p, Frame f)
	{
		launch(p,f);
		explode(p,f);
	}
	
	public abstract void launch(Point p, Frame f);
	public abstract void explode(Point p, Frame f);
}
