
public class LotteryMachine
{
    private int numWinners;
    private int numBalls;
    private BallCollection balls;

    public LotteryMachine()
    {
	this(3,10);
    }

    public LotteryMachine(int winners, int total)
    {
	numWinners = winners;
	numBalls = total;
	balls = new BallCollection(numBalls);
    }

    public void run()
    {
	System.out.println("Initial state of balls:");
	System.out.println("  " + balls);	// initial display of balls
	System.out.println("\nTime to mix 'em up!\n");

	for (int i = 0; i < numWinners; i++)
	    {
		System.out.print("  Drawing ");
		String s="";
		switch (i)
		    {
		    case 0 : s = "first";break;
		    case 1 : s = "second";break;
		    case 2 : s = "third";break;
		    case 3 : s = "fourth";break;
		    case 4 : s = "fifth";break;
		    case 5 : s = "sixth";break;
		    case 6 : s = "seventh";break;
		    case 7 : s = "eighth";break;
		    case 8 : s = "ninth";break;
		    case 9 : s = "tenth";break;
		    }

		System.out.println(s + " ball:");

		for (int count = 0; count < 1000; count++)
			balls.shuffle(i);	// shuffle

		System.out.println(balls);
	    }

	showWinners();
    }


    public void showWinners()
    {
	System.out.println("\nToday's winners are:");
	for (int i = 0; i < numWinners; i++)
	    System.out.print("\t" + balls.getBall(i).getValue() + "  ");
	System.out.println();
    }

    public String toString()
    {
	return ("Total number of balls = " + numBalls + "; number of winners = " + numWinners);
    }
}
