/** This class allows us to watch a mouse and get it's location and limited button state
 * (is it current pressed or not?)
 * <BR>
 * We can only determine the state of the mouse AFTER the mouse has been pressed or
 * released.
 * <BR>
 * written by Scott McElfresh, September 2002 and modified February 2003
*/

import java.awt.event.*;
import java.awt.Point;

public class MouseTrap implements MouseListener
{

  //  ### here are the functions to let us determine the state
  // They are only valid to be called AFTER an event has happened.
  /**  Get the x-coordinate of the mouse at the time of the last mouse event.
       @return  the x-coordinate
  */
  public int getX()
  {  return mouseX;
  }
  /**  Get the y-coordinate of the mouse at the time of the last mouse event.
       @return  the y-coordinate
  */
  public int getY()
  {  return mouseY;
  }
  /**  Determines if the mouse being pressed right now.  Any button on the mouse
       will do.
       @return  true or false - is a mouse button being pressed.
  */
  public boolean isPressed ()
  {  return mouseIsPressed;
  }
  //##########
  //***** Here are the required functions for the interface.
   public void mouseClicked(MouseEvent e)
   {
     getLocation(e);
   }
   public void mousePressed(MouseEvent e)
   {
        mouseIsPressed = true;
        getLocation(e);
   }   
   public void mouseReleased(MouseEvent e)
   {
        mouseIsPressed = false;
        getLocation(e);
   }   
   public void mouseEntered(MouseEvent e)
   {

   
   }
   public void mouseExited(MouseEvent e)
   {

   
   }
   //**********************
                
  private int mouseX;
  private int mouseY;
  private boolean mouseIsPressed = false;

   //******
   // from the MouseEvent, learn the location of the mouse and store it
   private void  getLocation(MouseEvent e)
   {
       Point P = e.getPoint();
       mouseX = (int)(P.getX());
       mouseY = (int)(P.getY());
   }
   

        

}

