/*
	Applet to paint lots of pixels using random colors
*/

import java.awt.*;
import java.awt.geom.Rectangle2D;
import java.applet.Applet;
import java.util.Random;

public class PixelPaintApplet extends Applet
{
	private static final int WIDTH = 900;
	private static final int HEIGHT = 500;
	
	public void init()
	{
		resize(WIDTH,HEIGHT);
		repaint();
	}
	
	public void paint(Graphics g)
	{
		Graphics2D g2 = (Graphics2D)g;
		
		Random myRandom = new Random();
		final int PIXEL_SIZE = 5;
		
		for (int y = 0; y < HEIGHT; y += PIXEL_SIZE)
			for (int x = 0; x < WIDTH; x += PIXEL_SIZE) {
				Rectangle2D.Double sq = new Rectangle2D.Double(x, y, PIXEL_SIZE, PIXEL_SIZE);
				//Color c = new Color(myRandom.nextInt(256),myRandom.nextInt(256),myRandom.nextInt(256));
				Color c = new Color((x+y)%256,Math.abs(x-y)%256,(x*y)%256);
				g2.setColor(c);
				g2.fill(sq);
			}
	}
}
