/**
 * Implements a point (as ordered pair of ints)
 */

public class PointXY
{
	private int x, y;

	/**
	 * Constructs a PointXY at the specified location
	 */
	public PointXY(int xc, int yc)
	{
		x = xc;
		y = yc;
	}
	
	/**
	 * returns the x coordinate of this point
	 @return the x coordinate
	 */
	public int getX()
	{
		return x;
	}
	
	/**
	 * returns the y coordinate of this point
	 @return the y coordinate
	 */
	public int getY()
	{
		return y;
	}
	
	/** sets the x coordinate to the supplied value
	 * @param the new x coordinate
	 */
	public void setX(int xc)
	{
		x = xc;
	}
	
	/** sets the y coordinate to the supplied value
	 * @param the new y coordinate
	 */
	public void setY(int yc)
	{
		y = yc;
	}
	
	/** sets the x and y coordinates to the supplied values
	 * @param the new x coordinate
	 * @param the new y coordinate
	 */
	public void setXY(int xc, int yc)
	{
		x = xc;
		y = yc;
	}
	
	/**
	 * Returns the distance between two points
	 * @return the distance between this point and one supplied
	 */
	public double distance2D(PointXY param)
	{
		double d1 = x - param.x;
		d1 *= d1;
		double d2 = y - param.y;
		d2 *= d2;
		return Math.sqrt(d1 + d2);
	}
	
	/**
	 * Returns a string representing this point
	 * @return the string representation
	 */
	public String toString()
	{
		return x + "," + y;
	}
}