/**
 * A class to draw a simple fireworks explosion for an explosion
 * written as SimpleExplosion by da' Moose, February 2003
 * modified to fit new inheritance hierarchy by mjs, June 2003
 */
 
import java.awt.*;
import java.util.Random;

public class SimpleFirework extends Firework
{
	private Color c;
	private int pauseAmount;
	private int spaceAmount;
   
	public SimpleFirework()
	{  
		c = Color.white;
		pauseAmount = 50;
		spaceAmount = 5;
	}
   
	public void launch(Point p, Frame f)
	{
		int launchX = p.x;
		int launchY = f.getHeight();
		int spaceY = 7;
		Graphics g = f.getGraphics();
		CustomDelay d = new CustomDelay();
   	 
		for (int y = launchY; y > p.y; y -= spaceAmount)
		{
			g.setColor(c);
			g.fillOval(launchX - 2, y - 4, 4, 8);
			d.doDelay(pauseAmount);
			if (y % 100 == 0)
				spaceAmount -= 1;
			g.setColor(Color.black);
			g.fillRect(0,0,f.getWidth(),f.getHeight());
		}
	}


	public void explode(Point p, Frame f)
	{
		Graphics g = f.getGraphics();
		Random r = new Random();
		CustomDelay d = new CustomDelay();
		int x = (int)p.getX();
		int y = (int)p.getY();
		int maxRadius = r.nextInt(500) + 30;
		
		int colorChoice = r.nextInt(5);
		switch(colorChoice)
		{
			case 0: g.setColor(Color.red); break;
       		case 1: g.setColor(Color.blue); break;
       		case 2: g.setColor(Color.green); break;
       		case 3: g.setColor(Color.yellow); break;
       		case 4: g.setColor(Color.white); break;
		}
       
		for (int radius = 1; radius < maxRadius; radius++)
		{
       		g.drawOval(x - radius, y - radius, radius * 2, radius * 2);
       		d.doDelay(20);
		}
       
		d.doDelay(75);
		g.setColor(Color.black);
		g.fillRect(0,0,f.getWidth(),f.getHeight());
	}
}
