// This file contains the code for the ability to close a window, via a window listener.
// The code the responsibility of Scott McElfresh, although it was 
// amalgamated from several sources including the SunAPI, Jim Roberts, and the Lewis and Loftus textbook.


import java.awt.*;
import java.awt.event.*;

class WindowCloser implements WindowListener
{ // Even though the bodies of these five methods are empty,
	 // Java requires that they be here or the program does not compile.
	 public void windowActivated(WindowEvent e){}
	 public void windowDeactivated(WindowEvent e){}
	 public void windowDeiconified(WindowEvent e){}
	 public void windowIconified(WindowEvent e) {}
	 public void windowOpened(WindowEvent e){}
	/**
	windowClosing
	Deallocates the resources connected to the window
	*/
	public void windowClosing (WindowEvent e)
	{
		Window w = e.getWindow();
		w.hide();
		w.dispose();
	}
	
	/**
	windowClosed
	Terminates the window and reports all is well
	*/
	public void windowClosed(WindowEvent e)
	{
		System.exit(0);
	}
	
}